/* lib/config.h.  Generated automatically by configure.  */
#ifndef	CONFIG_H
#define	CONFIG_H

#include <paths.h>

#define	_PATH_LOG_PPXP	"/var/log/ppxp"

#ifndef	_PATH_RESCONF
#define	_PATH_RESCONF "/etc/resolv.conf"
#endif

#define	_PATH_NCURSES_H <curses.h>
#define	IFNAME "ul","tap"
/* #undef	IFHEAD_T */
#define	RETSIGTYPE void

#define	HAVE_SHADOW_H 1
#define	HAVE_TERMCAP_H 1
#define	HAVE_NCURSES_H 1
/* #undef	HAVE_NCURSES_TERMCAP_H */
/* #undef	USE_ACS */

#ifdef	HAVE_NCURSES_H
# define	_PATH_CURSES_H	<ncurses.h>
# define	USE_NCURSES
#else
# ifdef	_PATH_NCURSES_H
#  define	_PATH_CURSES_H	_PATH_NCURSES_H
#  define	USE_NCURSES
# else
#  define	_PATH_CURSES_H	<curses.h>
# endif
#endif

#define	HAVE_READLINE 1
/* #undef	HAVE_GLIBC_MD5 */
/* #undef	HAVE_RSA_MD5 */
#define	HAVE_DEFLATE 1
#define	HAVE_MSGCAT 1
#define	HAVE_C_LINE 1
#define	HAVE_U_INT32_T 1
/* #undef	HAVE_X11_FORMS */
#define	HAVE_STRPTIME 1

/* #undef	ONESHOT_SIGNAL */

#define	SPRINTF_RETURNS_LENGTH 1

#ifdef	SPRINTF_RETURNS_LENGTH
#define	SprintF		sprintf
#else
#include <stdarg.h>
static inline int
SprintF(char *s, char *fmt, ...)
{
    va_list ap;
    va_start(ap, fmt);
    vsprintf(s, fmt, ap);
    va_end(ap);
    return(strlen(s));
}
#endif

/* #undef	BAD_VA_START */

#define	HAVE_SRAND48 1

#ifdef	HAVE_SRAND48
#define	SRAND(s)	srand48(s)
#define	RAND()		lrand48()
#else
#define	SRAND(s)	srand(s)
#define	RAND()		rand()
#endif

#endif	/* CONFIG_H */
